from axipy import Position, Plugin, Notifications, tr, ActionButton
from .main import Form


class MapTopik(Plugin):
    def __init__(self) -> None:
        self._title: str = self.tr("MapTopik")

        self._action: ActionButton = ActionButton(
            title=self.tr("MapTopik"),
            icon="://icons/share/32px/run3.png",
            on_click=self.show_message,
            tooltip=self.tr("MapTopik")
        )
        position = Position(tr("Примеры модулей"), tr("Минимальный"))
        position.add(self._action)

    def unload(self) -> None:
        self._action.remove()

    def show_message(self) -> None:
        Form.show_dialog()
